=== debian/changelog ===
caudium (2:1.2.31-9) unstable; urgency=high

  * The latest upstream. Fixes SSL problems where secure connections would
    transfer partial data.

 -- Marek Habersack <grendel@debian.org>  Sat, 24 Jan 2004 03:30:34 +0100

caudium (2:1.2.31-8) unstable; urgency=low

  * Update to the pt_BR translation, thanks to Andre Luis Lopes 
    (closes: Bug#227371)

 -- Marek Habersack <grendel@debian.org>  Tue, 13 Jan 2004 17:30:02 +0100

caudium (2:1.2.31-7) unstable; urgency=low

  * The latest upstream update.
  * Updated the French language debconf translation submitted by
    Philippe Batailler, thanks (closes: Bug#227227).

 -- Marek Habersack <grendel@debian.org>  Tue, 13 Jan 2004 00:36:33 +0100

caudium (2:1.2.31-6) unstable; urgency=medium

  * Fixed handling of encrypted passwords by sed (closes: Bug#221481)
  * postrm correctly removes the /var/www/index.html symlink on purge
  * Documented the Location option in the LDAPauth module 
    (closes: Bug#221752)
  * Caudium now recommends logrotate instead of depending on it
  * The admin password is asked for twice now (closes: Bug#214613)

 -- Marek Habersack <grendel@debian.org>  Thu, 20 Nov 2003 18:33:04 +0100

caudium (2:1.2.31-5) unstable; urgency=high

  * Recompiled to match the latest Pike 7.2 version

 -- Marek Habersack <grendel@debian.org>  Mon,  3 Nov 2003 21:23:07 +0100

caudium (2:1.2.31-4) unstable; urgency=high

  * Removed a stray dot from the build depends line (closes: Bug#212054)

 -- Marek Habersack <grendel@debian.org>  Mon, 22 Sep 2003 17:49:02 +0200

caudium (2:1.2.31-3) unstable; urgency=high

  * Package description fixes (closes: Bug#209533)
  * All headers are where they belong (closes: Bug#204489)
  * Tightened the build-time dependencies on pike7.2 so that
    the autobuilders pick up the right pike version.

 -- Marek Habersack <grendel@debian.org>  Tue,  9 Sep 2003 23:54:23 +0200

caudium (2:1.2.31-2) unstable; urgency=high

  * Minor code fixes:
     - gsession module calls Caudium.parse_query_string now
  * mailit module from 1.3 added to the 1.2 distribution
  * Added ability to add a link to a stylesheet in Ultralog module
  * fixed a bug in htaccess module that makes it ignore .htaccess files
  * added the Mailform module from Caudium 1.3 tree
  * Backported Caudium 1.3 global configuration option to force load of
    all Caudium modules at startup by adding an optional define in performance.h.
    Start Caudium with -DLOAD_CONFIGS_STARTUP or add #define LOAD_CONFIGS_STARTUP
    to performance.h or to config.h in order to enable this functionality.
  * Force recompile with the current pike 7.2 version on m68k and s390
    (closes: Bug#203223)

 -- Marek Habersack <grendel@debian.org>  Mon, 28 Jul 2003 20:12:16 +0200

caudium (2:1.2.31-1) unstable; urgency=low

  * Latest upstream version. Important changes:
    - Added robot.txt generator from Roxen 2.x/3.x and updated it a bit.
    - Added Robot Trap from Caudium 1.3 tree.
    - MIME.Decode in base_server/wizard.pike is now inside a catch() to 
      avoid exceptions in case of partial/malformed base64 data given to the 
      webserver.
    - Added a catch() into MIME.Message used in multipart/form-data handler in
      http.pike and http2.pike to avoid locks into Caudium when malformed data
      comes into webserver.
    - Created new version of uniscript that uses FastCGI to communicate with
      the script interpreter, hopefully providing better performance.
    - Updated uniscript to inherit CGI rather than copy it.
    - Added a check in CGI module (and all modules that inherit it) which
      asks for a mountpoint that ends with a '/' to avoid potential
      security problems (eg list of files directories)
    - Fixes in responses given to FTP client in the ftp protocol. Mostly because
      Opera doesn't like it.

 -- Marek Habersack <grendel@debian.org>  Thu,  3 Jul 2003 03:35:08 +0200

caudium (2:1.2.27-1) unstable; urgency=low

  * Added the Brazilian Portuguese translation of the debconf templates
    provided by Andre Luis Lopes. Thank you. (closes: Bug#197541)
  * Updated and fixed the setools.pike module
  * Latest upstream version
  * Updated the French templates translation thanks to 
    Philippe Batailler and the debian-l10n-french subscribers
    (closes: Bug#195890)

 -- Marek Habersack <grendel@debian.org>  Tue,  3 Jun 2003 00:47:58 +0200

caudium (2:1.2.26-1) unstable; urgency=medium

  * All the pike files were moved to /usr/share/caudium to comply with
    the policy and to make the upgrade from 1.0 smooth.
    (closes: Bug#173811). Sorry Benoit it took so long, I forgot about
    the bug :)
  * Fix a bug in autoconf that prevented Caudium to compile if $CPPFLAGS was set
    before configure time.
  * Fix a bug in ssl3.pike where the redirect from http would always pick the
    admin port.
  * Backported Highlight pike system from 1.3 that supports CSS now
  * Backported Open Files wizard from 1.3 tree to show more accurate information.
  * Fix a bug with icons and virtual directories like /mail/ in gbutton module.

 -- Marek Habersack <grendel@debian.org>  Wed, 21 May 2003 22:53:27 +0200

caudium (2:1.2.25-4) unstable; urgency=low

  * Applied the patch from Denis Barbier correcting errors and rearranging
    the po templates file. Thank you. (closes: Bug#193081)
  * Updated the Polish translation.

 -- Marek Habersack <grendel@debian.org>  Tue, 13 May 2003 00:08:27 +0200

caudium (2:1.2.25-3) unstable; urgency=medium

  * make_tag_attributes() does't output any "/" that could be in the argument.
    That affects both make_tag() and make_container()
  * Force a rebuild on several architectures which had incorrect pike7.2 
    version (closes: Bug#191613)
  * Migrated to po-debconf

 -- Marek Habersack <grendel@debian.org>  Fri,  2 May 2003 14:16:59 +0200

caudium (2:1.2.25-2) unstable; urgency=low

  * Uploaded to match new pike 7.2
  * Bumbed the standards version
  * Versioned dependency on debhelper


